Subject: Re: bug#32790: 27.0.50; point jumps unexpectedly after delete-window

From: martin rudalics <[email-masked]>
Date: Mon, 24 Sep 2018 10:33:07 +0200

>> A parent window is internal and cannot be selected.  You probably mean
 >> one of the former siblings of the deleted window.  If we did that, we
 >> should make it customizable somehow.
 >
 > Yes, I meant siblings.  Is it possible to make it customizable?

I probably still have no good understanding what precisely your
problem is with selecting the most recently selected window.  Can you
please elaborate once more?

 > Searching for this, I see others find the current behavior annoying too, e.g.
 > https://github.com/wasamasa/dotemacs/blob/master/TODO.org#fix-emacs-selection-after-window-quitclose

C-x 3 C-x o C-x o C-x 2 C-x 0

What's the purpose of the 'other-buffer' calls if they don't express
the user's wish to "work" in these windows?

 > Does this mean that a simple rule would be just to use the left sibling,
 > otherwise the right sibling?

With "use" you mean choose for giving back the space of the deleted
window?  Then we should remember from which window Emacs obtained the
space when creating a new window and return that space when deleting
the new window, provided that old window still exists.

martin